## org.exist.xquery
Class BasicExpressionVisitor

    java.lang.Object
      org.exist.xquery.BasicExpressionVisitor

All Implemented Interfaces:
  ExpressionVisitor

public class BasicExpressionVisitor
extends java.lang.Object
implements ExpressionVisitor

Basic implementation of the `ExpressionVisitor` interface. This implementation will traverse a PathExpr object if it wraps around a single other expression. All other methods are empty.

Author:
  wolf

Constructor Summary
`BasicExpressionVisitor()`

Method Summary
`void` `visit(Expression expression)` Default fallback method if no other method matches the object's type.
`void` `visitCastExpr(CastExpression expression)` Found a CastExpression
`void` `visitPathExpr(PathExpr expression)` Default implementation will traverse a PathExpr if it is just a wrapper around another single expression object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicExpressionVisitor

    public BasicExpressionVisitor()

Method Detail

### visit

    public void visit(Expression expression)

  Description copied from interface: `ExpressionVisitor`
  Default fallback method if no other method matches the object's type.

  Specified by:
    `visit` in interface `ExpressionVisitor`
  Parameters:
    `expression` -

### visitCastExpr

    public void visitCastExpr(CastExpression expression)

  Description copied from interface: `ExpressionVisitor`
  Found a CastExpression

  Specified by:
    `visitCastExpr` in interface `ExpressionVisitor`

### visitPathExpr

    public void visitPathExpr(PathExpr expression)

  Default implementation will traverse a PathExpr if it is just a wrapper around another single expression object.

  Specified by:
    `visitPathExpr` in interface `ExpressionVisitor`

Copyright (C) Wolfgang Meier. All rights reserved.